unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeeGDIPlus, ExtCtrls, TeEngine, Series, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: THorizLineSeries;
    Image1: TImage;
    Image2: TImage;
    TeeGDIPlus1: TTeeGDIPlus;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Chart2: TChart;
    series2: THorizLineSeries;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  teegdiplus1.Active := not teegdiplus1.Active;
end;

procedure TForm1.Button2Click(Sender: TObject);
var m: TMetafile;
begin
  m := Chart1.TeeCreateMetafile(false,
    Rect(0, 0, Round(Chart1.Width), Round(Chart1.Height)));
  Image1.Picture.Assign(m);
  m.Free;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  (chart2.Canvas as TGDIPLusCanvas).AntiAlias := not (chart2.Canvas as TGDIPLusCanvas).AntiAlias;
end;

procedure TForm1.Button4Click(Sender: TObject);
var m: TMetafile;
begin
  m := Chart2.TeeCreateMetafile(false,
    Rect(0, 0, Round(Chart2.Width), Round(Chart2.Height)));
  Image2.Picture.Assign(m);
  m.Free;

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  series1.FillSampleValues(50);
  series2.FillSampleValues(50);

  chart2.Canvas := TGDIPlusCanvas.Create;
end;

end.
